TiffFXBase (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffFXBase

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffFXBase

Direct Known Subclasses:
  TiffProfileFXC, TiffProfileFXF, TiffProfileFXJ, TiffProfileFXL, TiffProfileFXM, TiffProfileFXS

    public abstract class TiffFXBase

extends TiffProfile

Base class for all profiles under TIFF/FX. All TIFF/FX profiles should call TiffFXBase.satisfiesClass to establish that common requirements are met.

Author:
  Gary McGath

Field Summary
`static int` | `GLOBALPARAMETERSIFD` Tiff/FX-specific tags.
`static int` | `STRIPROWCOUNTS` Tiff/FX-specific tags.

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffFXBase()`

Method Summary
`protected int` | `perCMtoPerInch(int res)` Convert a units/cm value to a units/inch value.
`protected boolean` | `satisfiesClass(TiffIFD ifd)` Test for common requirements of all Tiff/FX profiles.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesThisProfile, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBALPARAMETERSIFD

    public static final int GLOBALPARAMETERSIFD

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

### STRIPROWCOUNTS

    public static final int STRIPROWCOUNTS

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

Constructor Detail

### TiffFXBase

    public TiffFXBase()

Method Detail

### satisfiesClass

    protected boolean satisfiesClass(TiffIFD ifd)

  Test for common requirements of all Tiff/FX profiles. Subclasses should call `satisfiesClass()` from their `satisfiesThisProfile()` method to avoid redundant code. If this method returns `false`, the IFD does not meet the requirements of any TIFF/FX profile. Calling this also guarantees that the image length, image width, bits per sample, X resolution (sampling frequency), Y resolution and page number values are non-null objects.

### perCMtoPerInch

    protected int perCMtoPerInch(int res)

  Convert a units/cm value to a units/inch value. For expected values, we use a table lookup to avoid rounding problems. If a value isn't in the table, we do a rounded conversion.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD